package com.nisum.example.mapper;

import com.nisum.example.dto.ProductDTO;
import com.nisum.example.model.Product;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;

@Mapper(componentModel = "spring")
public interface ProductMapper {

    @Mapping(source = "product.prodLocationList",target = "prodLocationDTOList")
    ProductDTO toDto(Product product);

    @Mapping(source = "productDTO.prodLocationDTOList",target = "prodLocationList")
    Product toModel(ProductDTO productDTO);
}
