package com.nisum.example.repository;

import com.nisum.example.dto.ProductDTO;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

public interface CustomProductRepository {
    Mono<ProductDTO> changeProductPrice(String id,Double newPrice);
    Mono<Boolean> clearProductById(String id);
    Flux<ProductDTO> pickProductByName(String prodName);
}
