package com.nisum.example.service;

import com.nisum.example.dto.ProductDTO;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

public interface IProductService {

    Mono<ProductDTO> saveProduct(ProductDTO productDTO);
    Mono<ProductDTO> getProduct(String id);
    Flux<ProductDTO> getProducts();
    Mono<ProductDTO> updateProduct(ProductDTO productDTO);
    Mono<Boolean> removeById(String id);
    Mono<ProductDTO> updateProductPrice(String id,Double prodPrice);
    Flux<ProductDTO> getProductByName(String prodName);
}
