package com.nisum.example.validator;

import javax.validation.Constraint;
import javax.validation.Payload;
import java.lang.annotation.*;

@Documented
@Constraint(validatedBy =ProductLocationListValidator.class )
@Target({ElementType.FIELD,ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
public @interface ProductLocationListConstraint {
    String message() default "Location List cannot be null";
    Class<?>[] groups() default {};
    Class<? extends Payload>[] payload() default {};
}
