package com.nisum.example.validator;

import javax.validation.Constraint;
import javax.validation.Payload;
import java.lang.annotation.*;

@Documented
@Constraint(validatedBy = ProductPriceValidator.class)
@Target({ElementType.METHOD,ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
public @interface ProductPriceConstraint {
    String message() default "Price should be double value";
    Class<?> [] groups() default {};
    Class<? extends Payload>[] payload() default {};
}
